Permalink
Browse files

Merge branch 'm20_MDL-28017' of git://github.com/danmarsden/moodle in…

…to MOODLE_20_STABLE
  • Loading branch information...
2 parents 1193e6b + ab837e6 commit a53760ef5ab238c11f75c3af01e418c0c65ee485 @stronk7 stronk7 committed Jul 12, 2011
Showing with 6 additions and 4 deletions.
  1. +5 −0 mod/scorm/db/upgrade.php
  2. +0 −1 mod/scorm/lang/en/scorm.php
  3. +0 −2 mod/scorm/settings.php
  4. +1 −1 mod/scorm/version.php
View
5 mod/scorm/db/upgrade.php
@@ -535,6 +535,11 @@ function xmldb_scorm_upgrade($oldversion) {
upgrade_mod_savepoint(true, 2011011400, 'scorm');
}
+ if ($oldversion < 2011021402) {
+ unset_config('updatetime', 'scorm');
+ upgrade_mod_savepoint(true, 2011021402, 'scorm');
+ }
+
return true;
}
View
1 mod/scorm/lang/en/scorm.php
@@ -270,7 +270,6 @@
$string['unziperror'] = 'An error occurs during package unzip';
$string['updatefreq'] = 'Auto-update frequency';
$string['updatefreqdesc'] = 'This preference sets the default auto-update frequency of an activity';
-$string['updatetime'] = 'Synchronisation time';
$string['validateascorm'] = 'Validate a package';
$string['validation'] = 'Validation result';
$string['validationtype'] = 'This preference set the DOMXML library used for validating SCORM Manifest. If you don\'t know leave the selected choice.';
View
2 mod/scorm/settings.php
@@ -50,8 +50,6 @@
$settings->add(new admin_setting_configselect('scorm/updatefreq', get_string('updatefreq', 'scorm'), get_string('updatefreqdesc', 'scorm'), 0, scorm_get_updatefreq_array()));
- $settings->add(new admin_setting_configtext('scorm/updatetime', get_string('updatetime', 'scorm'), '', 2, PARAM_INT));
-
$settings->add(new admin_setting_configcheckbox('scorm/allowtypeexternal', get_string('allowtypeexternal', 'scorm'), '', 0));
$settings->add(new admin_setting_configcheckbox('scorm/allowtypelocalsync', get_string('allowtypelocalsync', 'scorm'), '', 0));
View
2 mod/scorm/version.php
@@ -6,7 +6,7 @@
/////////////////////////////////////////////////////////////////////////////////
-$module->version = 2011021400; // The (date) version of this module
+$module->version = 2011021402; // The (date) version of this module
$module->requires = 2010080300; // The version of Moodle that is required
$module->cron = 300; // How often should cron check this module (seconds)?

0 comments on commit a53760e

Please sign in to comment.